Package: org.grails.web.converters

## [Java] Class AbstractConverter<W>

- org.grails.web.converters.AbstractConverter

- All Implemented Interfaces and Traits:
    ConfigurableConverter, groovy.lang.Writable

      public abstract class AbstractConverter
      extends java.lang.Object

  Abstract base implementation of the Converter interface that provides a default toString() implementation.

  Authors:
    Siegfried Puchbauer
    Graeme Rocher

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected java.lang.String` | `contentType` |
    `protected java.lang.String` | `encoding` |
    `protected java.util.Map<java.lang.Class, java.util.List<java.lang.String>>` | `excludes` |
    `protected java.util.Map<java.lang.Class, java.util.List<java.lang.String>>` | `includes` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected org.springframework.beans.BeanWrapper` | `createBeanWrapper(java.lang.Object o)`
    `` | `java.util.List<java.lang.String>` | `getExcludes(java.lang.Class type)` Gets the excludes for the given type
    `` | `java.util.List<java.lang.String>` | `getIncludes(java.lang.Class type)` Gets the includes for the given type
    `` | `void` | `setContentType(java.lang.String contentType)` Sets the content type of the converter
    `` | `void` | `setEncoding(java.lang.String encoding)` Sets the encoding of the converter
    `` | `void` | `setExcludes(java.lang.Class type, java.util.List<java.lang.String> properties)` Set to exclude properties for the given type
    `` | `void` | `setIncludes(java.lang.Class type, java.util.List<java.lang.String> properties)` Set to include properties for the given type
    `` | `void` | `setTarget(java.lang.Object target)`
    `` | `java.lang.String` | `toString()`
    `` | `java.io.Writer` | `writeTo(java.io.Writer out)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### protected java.lang.String contentType

    - #### protected java.lang.String encoding

    - #### protected java.util.Map<java.lang.Class, java.util.List<java.lang.String>> excludes

    - #### protected java.util.Map<java.lang.Class, java.util.List<java.lang.String>> includes

  - ### Method Detail

    - #### protected org.springframework.beans.BeanWrapper createBeanWrapper(java.lang.Object o)

    - #### @java.lang.Override public java.util.List<java.lang.String> getExcludes(java.lang.Class type)

      Gets the excludes for the given type

      Parameters:
        `type` - The type
      Returns:
        The excludes

    - #### @java.lang.Override public java.util.List<java.lang.String> getIncludes(java.lang.Class type)

      Gets the includes for the given type

      Parameters:
        `type` - The type
      Returns:
        The includes

    - #### @java.lang.Override public void setContentType(java.lang.String contentType)

      Sets the content type of the converter

      Parameters:
        `contentType` - The content type

    - #### @java.lang.Override public void setEncoding(java.lang.String encoding)

      Sets the encoding of the converter

      Parameters:
        `encoding` - The encoding

    - #### @java.lang.Override public void setExcludes(java.lang.Class type, java.util.List<java.lang.String> properties)

      Set to exclude properties for the given type

      Parameters:
        `type` - The type
        `properties` - The properties

    - #### @java.lang.Override public void setIncludes(java.lang.Class type, java.util.List<java.lang.String> properties)

      Set to include properties for the given type

      Parameters:
        `type` - The type
        `properties` - The properties

    - #### public void setTarget(java.lang.Object target)

    - #### @java.lang.Override public java.lang.String toString()

    - #### @java.lang.Override public java.io.Writer writeTo(java.io.Writer out)